import { IsMongoId, IsOptional } from "class-validator";
import { IProcess, StackGenerateType } from "../../../core/models/process_model";
import { TriggerModelValidationModel } from "../../_triggers/models/trigger_validation_model";

export class PipelineValidationModel {
  @IsMongoId()
  public process: IProcess;

  @IsMongoId()
  public trigger: TriggerModelValidationModel;

  @IsOptional()
  public env = null;

  @IsOptional()
  public stackGenerateType: StackGenerateType;
}
