import { CrudController } from "../../core/controllers/crud_controller";
import { PipelineDBModel } from "./models/pipeline_database_model";
import { PipelineValidationModel } from "./models/pipeline_validation_model";

export class PipelinePresentation extends CrudController<PipelineValidationModel, typeof PipelineDBModel> {
  constructor() {
    super({
      url: "pipeline",
      validationModel: PipelineValidationModel,
      databaseModel: PipelineDBModel,
    });
  }
}
