import { CrudController } from "../../core/controllers/crud_controller";
import { ProjectDBModel } from "./models/project_database_model";
import { ProjectValidationModel } from "./models/project_validation_model";

export class ProjectsPresentation extends CrudController<ProjectValidationModel, typeof ProjectDBModel> {
  constructor() {
    super({
      url: "project",
      validationModel: ProjectValidationModel,
      databaseModel: ProjectDBModel,
    });
  }
}
