import { CrudController } from "../../core/controllers/crud_controller";
import { TriggerDBModel } from "./models/trigger_database_model";
import { TriggerModelValidationModel } from "./models/trigger_validation_model";

export class TriggerPresentation extends CrudController<TriggerModelValidationModel, typeof TriggerDBModel> {
  constructor() {
    super({
      url: "trigger",
      validationModel: TriggerModelValidationModel,
      databaseModel: TriggerDBModel,
    });
  }
}
