import { Schema, model } from "mongoose";
import { IProcess } from "../../../core/models/process_model";

export const ProcessSchema = new Schema({
  type: {
    type: String,
  },
  description: {
    type: String,
  },
  command: {
    type: String,
  },
  isGenerating: {
    type: String,
  },
  isLocaleCode: {
    type: String,
  },
  issueType: {
    type: String,
  },
  timeout: {
    type: Number,
    default: null,
  },
  commit: {
    type: String,
    default: null,
  },
});

export const schemaProcess = "Process";

export const ProcessDBModel = model<IProcess>(schemaProcess, ProcessSchema);
