import { CrudController } from "../../core/controllers/crud_controller";
import { ProcessDBModel } from "./models/process_database_model";
import { ProcessModel } from "./models/process_validation_model";

export class ProcessPresentation extends CrudController<ProcessModel, typeof ProcessDBModel> {
  constructor() {
    super({
      url: "process",
      validationModel: ProcessModel,
      databaseModel: ProcessDBModel,
    });
  }
}
